

#ifndef _IBRC_CLIENT_H
#define _IBRC_CLIENT_H

/*
 * Programmgerst fr die Aufgabe IBRC, Teil 1
 * Erstellt fr das PKS im SS05
 * Zefir, kurtisi@ibr.cs.tu-bs.de
 *---------------------------------------------
 */



/*
 * Funktionen der grafischen Oberflche
 */

void bye();							// Client beenden
void setName(char *name);			// Hostname setzen
void setNick(char *nick);			// Nickname setzen
void setChannel(char *channel);		// Kanalnamen setzen

void printSystemMessage(char *msg);				// Systemnachricht ausgeben
void printOwnMessage(char *msg);				// Eigene Nachricht ausgeben
void printMessage(char *from, char *msg);		// Usernachricht ausgeben
void printPrivMessage(char *from, char *msg);	// Private Nachricht ausgeben



/*
 * Zu implementierende Funktionen
 */

void init(char *server, int port);	// Initialisierung des Systems
void quit();						// Beenden des Systems
void userInput(char *input);		// Eingabe bearbeiten
void mainloop();					// Periodischer Aufruf


#endif /*_IBRC_CLIENT_H*/